Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.utils.injac.injacSpacesCreation.config
Class Config

    java.lang.Object
      org.esupportail.portal.utils.injac.injacSpacesCreation.config.Config

public class Config
extends java.lang.Object

Field Summary
`private java.lang.String` | `authorsGroupPrefix`
`private java.lang.String` | `editorsGroupPrefix`
`private java.lang.String` | `editorSpacesPath`
`private java.lang.String` | `injacPath`
`private org.apache.log4j.Logger` | `logger`
`private java.lang.String` | `publicationSpacesPath`
`private java.lang.String` | `roleDirectoryRootDirectory`
`private static Config` | `singleton`
`private java.lang.String` | `userDirectoryRootDirectory`
`private java.lang.String` | `webdavServerLogin`
`private java.lang.String` | `webdavServerPassword`
`private java.lang.String` | `webdavServerUrl`
`private java.lang.String` | `webdavServerUsersRole`

Constructor Summary
`private` | `Config()`

Method Summary
`void` | `configInjacSpaces(java.lang.String injacPath, java.lang.String editorSpacesPath, java.lang.String publicationSpacesPath, java.lang.String authorsGroupPrefix, java.lang.String editorsGroupPrefix)`
`void` | `configRoleDirectory(java.lang.String roleDirectoryRootDirectory)`
`void` | `configUserDirectory(java.lang.String userDirectoryRootDirectory)`
`void` | `configWebdavServer(java.lang.String webdavServerUrl, java.lang.String webdavServerLogin, java.lang.String webdavServerPassword, java.lang.String webdavServerUsersRole)`
`java.lang.String` | `getAuthorsGroupPrefix()`
`java.lang.String` | `getEditorsGroupPrefix()`
`java.lang.String` | `getEditorSpacesPath()`
`java.lang.String` | `getInjacPath()`
`static Config` | `getInstance()`
`java.lang.String` | `getPublicationSpacesPath()`
`java.lang.String` | `getRoleDirectoryRootDirectory()`
`static Config` | `getSingleton()`
`java.lang.String` | `getUserDirectoryRootDirectory()`
`java.lang.String` | `getWebdavServerLogin()`
`java.lang.String` | `getWebdavServerPassword()`
`java.lang.String` | `getWebdavServerUrl()`
`java.lang.String` | `getWebdavServerUsersRole()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### injacPath

    private java.lang.String injacPath

### editorSpacesPath

    private java.lang.String editorSpacesPath

### publicationSpacesPath

    private java.lang.String publicationSpacesPath

### authorsGroupPrefix

    private java.lang.String authorsGroupPrefix

### editorsGroupPrefix

    private java.lang.String editorsGroupPrefix

### webdavServerUrl

    private java.lang.String webdavServerUrl

### webdavServerLogin

    private java.lang.String webdavServerLogin

### webdavServerPassword

    private java.lang.String webdavServerPassword

### webdavServerUsersRole

    private java.lang.String webdavServerUsersRole

### userDirectoryRootDirectory

    private java.lang.String userDirectoryRootDirectory

### roleDirectoryRootDirectory

    private java.lang.String roleDirectoryRootDirectory

### singleton

    private static Config singleton

### logger

    private org.apache.log4j.Logger logger

Constructor Detail

### Config

    private Config()
            throws ConfigException

Method Detail

### configInjacSpaces

    public void configInjacSpaces(java.lang.String injacPath,
                                  java.lang.String editorSpacesPath,
                                  java.lang.String publicationSpacesPath,
                                  java.lang.String authorsGroupPrefix,
                                  java.lang.String editorsGroupPrefix)

### configWebdavServer

    public void configWebdavServer(java.lang.String webdavServerUrl,
                                   java.lang.String webdavServerLogin,
                                   java.lang.String webdavServerPassword,
                                   java.lang.String webdavServerUsersRole)

### configUserDirectory

    public void configUserDirectory(java.lang.String userDirectoryRootDirectory)

### configRoleDirectory

    public void configRoleDirectory(java.lang.String roleDirectoryRootDirectory)

### getInstance

    public static Config getInstance()
                              throws ConfigException

  Throws:
    `ConfigException`

### getSingleton

    public static Config getSingleton()

  Returns:
    Returns the singleton.

### getAuthorsGroupPrefix

    public java.lang.String getAuthorsGroupPrefix()

  Returns:
    Returns the authorsGroupPrefix.

### getEditorsGroupPrefix

    public java.lang.String getEditorsGroupPrefix()

  Returns:
    Returns the editorsGroupPrefix.

### getEditorSpacesPath

    public java.lang.String getEditorSpacesPath()

  Returns:
    Returns the editorSpacesPath.

### getInjacPath

    public java.lang.String getInjacPath()

  Returns:
    Returns the injacPath.

### getPublicationSpacesPath

    public java.lang.String getPublicationSpacesPath()

  Returns:
    Returns the publicationSpacesPath.

### getRoleDirectoryRootDirectory

    public java.lang.String getRoleDirectoryRootDirectory()

  Returns:
    Returns the roleDirectoryRootDirectory.

### getUserDirectoryRootDirectory

    public java.lang.String getUserDirectoryRootDirectory()

  Returns:
    Returns the userDirectoryRootDirectory.

### getWebdavServerLogin

    public java.lang.String getWebdavServerLogin()

  Returns:
    Returns the webdavServerLogin.

### getWebdavServerPassword

    public java.lang.String getWebdavServerPassword()

  Returns:
    Returns the webdavServerPassword.

### getWebdavServerUrl

    public java.lang.String getWebdavServerUrl()

  Returns:
    Returns the webdavServerUrl.

### getWebdavServerUsersRole

    public java.lang.String getWebdavServerUsersRole()

  Returns:
    Returns the webdavServerUsersRole.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD